/*Aqui son los efectos de la navbar, aqui vienen 2 meses de sangre sudor y lagrimas,*/
* {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  list-style: none;
  text-decoration: none;
  font-family:var(--titulo);
}

:root{
  --titulo:'airstrike', sans-serif;
  --texto:arial;

}
@import url('https://fonts.cdnfonts.com/css/airstrike');

nav {
  position: fixed;
  width: 100%;
  z-index: 10;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0.7rem;
  background-color: black;
  
}

/* Tamano del logo*/
#logo{
  max-width:6rem ;
}

body{
  /*background-color: #f92420;*/
  background-image: url(/image/1.FONDOS/body2.png);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
}

nav .nav-list {
  display: flex;
}


/*efectos de la navbar*/

.nav-list a{
  text-align: center;
  color:white;
  padding: 30px;
  cursor: pointer;
  font-size: 18px;
  font-weight: 500;
  transition: 325ms;
}

.nav-list a:hover{
  background-color: white;
  color:black;
  padding: 1.4rem;
  transition: 200ms;
}


.nav-list li ul{ 
  width: 175px;
  display: flex;
  flex-direction: column;
  background-color: black;
  top: 5rem;
  padding: 10px 0px;
  position:absolute;
  visibility:hidden; /*cambiar a hid*/
  z-index: 10;
  transition: 50ms ease;
  transition-delay: 50ms;
  margin-top:1rem ;
}


.nav-list  li:hover ul{
  visibility: visible;
  top: 50px;
}

.nav-list li ul:before{
  border-left: 12px black;
  border-right: 12px black;
  border-bottom: 12px white;
  position: absolute;
  top: -12px;
  left: 20px;
  padding-top: 20rem;
}


.nav-list li ul li a{
  display: block;
  color: white;
  padding: 14px;
  padding-left: 14px;
  font-size: 17px;
  transition: 0ms;
}

.nav-list li ul li a:hover{
  background: white;
  color:black;
  transform: scale(1.1);
  transition: 325ms;
}


@media (max-width: 869px) {

  nav{
    padding-bottom: 0px;
  }

  nav .nav-list {
      display: grid;
      position:fixed;
      background: black;
      width: 12rem;
      top: 52px;
      padding:7rem 0rem 15rem 0rem;
      left: 0;
      bottom: 0;
      transform: translateX(-100%);
      z-index: 10;
      transition: .6s;
      /*padding-left: 1rem;*/
      justify-content: center;
  }

  .nav-list li ul{ 
    width: 160px;
    display: flex;
    flex-direction: column;
    background-color: black;
    left: 100%;
    padding:10px 0px;
    position:absolute;
    visibility:hidden; /*cambiar a hid*/
    z-index: 10;
    transition: 90ms ease;
    transition-delay: 100ms;
  }

  .nav-list  li:hover ul{
    visibility: visible;
    top: 18%;
  }

.nav-link {
  width: auto;
  display: block;
  padding-left: 0px ;
}

  nav .navbar-toggler {
      display: grid !important;
  }

}

nav .navbar-toggler {
  position: relative;
  width: 40px;
  background: transparent;
  cursor: pointer;
  display: none;
}

nav .navbar-toggler .bar {
  width: 40px;
  height: 5px;
  margin-bottom: 10px;
  background: #ffffff;
  border-radius: 10%;
  transform: rotate(0deg);
  transition: .25s ease-in-out;
}

input {
  display: none;
}



/*Aqui es lo de la burguer, solo el estilo para la transcision*/
input:checked ~ nav .nav-list {
  transform: translateX(0);
}


input:checked ~ nav .navbar-toggler .bar:nth-child(1) {
  position: absolute;
  transform: rotate(45deg);
}

input:checked ~ nav .navbar-toggler .bar:nth-child(2) {
  display: none;
}

input:checked ~ nav .navbar-toggler .bar:nth-child(3) {
  transform: rotate(-45deg);
}